using System.Security.Claims;

namespace adas_core.Application.Services.Interfaces;

public interface ILocalAuditService
{
    Task CreateAuditLogAsync(ClaimsPrincipal? user, object? dataOriginal, object? dataModified, string? reason = null);
    Task<T?> DeepCopyAsync<T>(T data);
}